Pular para o conteúdo principal

GET /api/v1/runs/{runId}/session

Read one atomic compact interactive session

Captures one immutable run revision. expectedSequence mismatch returns 409. ETag and If-None-Match support 304. See docs/api/interactive-session.md.

Classificação: consulte a governança. A presença no contrato não promove uma superfície experimental a estável.

Parâmetros​

NomeOrigemObrigatórioSchema
runIdpathSimstring
expectedSequencequeryNãointeger
If-None-MatchheaderNãostring

Respostas​

StatusDescrição
200OK
304Not Modified
409Conflict
{
"200": {
"description": "OK",
"content": {
"text/plain": {
"schema": {
"$ref": "#/components/schemas/InteractionSession"
}
},
"application/json": {
"schema": {
"$ref": "#/components/schemas/InteractionSession"
}
},
"text/json": {
"schema": {
"$ref": "#/components/schemas/InteractionSession"
}
}
}
},
"304": {
"description": "Not Modified"
},
"409": {
"description": "Conflict",
"content": {
"text/plain": {
"schema": {
"$ref": "#/components/schemas/ProblemDetails"
}
},
"application/json": {
"schema": {
"$ref": "#/components/schemas/ProblemDetails"
}
},
"text/json": {
"schema": {
"$ref": "#/components/schemas/ProblemDetails"
}
}
}
}
}

Schemas relacionados​

Voltar ao índice REST · Contrato original